> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slant.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a label from task

> Remove a specific label (tag) from a task by label ID.



## OpenAPI

````yaml /api-reference/openapi.yaml delete /v1/tasks/{task_id}/tags/{id}
openapi: 3.0.1
info:
  title: Slant Public API V1
  version: v1
  description: Public API for creating and managing resources in Slant
  contact:
    name: Slant API Support
    email: api@slant.com
servers:
  - url: https://api.slant.app
security:
  - bearer: []
paths:
  /v1/tasks/{task_id}/tags/{id}:
    parameters:
      - name: task_id
        in: path
        description: Task ID
        required: true
        schema:
          type: string
      - name: id
        in: path
        description: Label (tag) ID to remove
        required: true
        schema:
          type: string
    delete:
      tags:
        - Tasks
      summary: Remove a label from task
      description: Remove a specific label (tag) from a task by label ID.
      responses:
        '200':
          description: label removed successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - tag_ids
                properties:
                  tag_ids:
                    type: array
                    items:
                      type: string
                    description: Complete list of label (tag) IDs after operation
        '400':
          description: bad request - invalid JSON
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - detail
                properties:
                  error:
                    type: string
                    description: Error code
                    enum:
                      - invalid_json
                  detail:
                    oneOf:
                      - type: string
                        description: Human-readable error description
                      - type: array
                        items:
                          type: string
                        description: Array of validation error messages
        '401':
          description: unauthorized - missing or invalid token
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - detail
                properties:
                  error:
                    type: string
                    description: Error code
                    enum:
                      - token_missing
                      - token_invalid
                  detail:
                    oneOf:
                      - type: string
                        description: Human-readable error description
                      - type: array
                        items:
                          type: string
                        description: Array of validation error messages
        '403':
          description: forbidden
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: OAuth
      description: OAuth 2.0 Bearer Token from Clerk authentication

````